org.eclipse.viatra.dse.evolutionary

## Class EvolutionaryStrategyBuilder

- java.lang.Object
- - org.eclipse.viatra.dse.evolutionary.EvolutionaryStrategyBuilder

-     public class EvolutionaryStrategyBuilder
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCrossover(ICrossover crossover)`
    `void` | `addCrossover(ICrossover crossover, int weight)`
    `void` | `addMutation(IMutation mutation)`
    `void` | `addMutation(IMutation mutation, int weight)`
    `void` | `addStrategyAdapter(IEvolutionaryStrategyAdapter adapter)`
    `EvolutionaryStrategy` | `build()`
    `static EvolutionaryStrategyBuilder` | `createBuilder()`
    `static EvolutionaryStrategyBuilder` | `createNsga2Builder(int populationSize)`
    `static EvolutionaryStrategyBuilder` | `createNsga2BuilderFull(int populationSize)`
    `static EvolutionaryStrategy` | `createNsga2Strategy(int populationSize)`
    `static EvolutionaryStrategyBuilder` | `createPesaBuilder(int populationSize)`
    `static EvolutionaryStrategyBuilder` | `createPesaBuilderFull(int populationSize)`
    `static EvolutionaryStrategy` | `createPesaStrategy(int populationSize)`
    `EvolutionaryStrategy.EvolutionaryStrategySharedObject` | `getConfigurationObject()`
    `void` | `setChildPopulationSize(int childPopulationSize)`
    `void` | `setEvaluationStrategy(IEvaluationStrategy evaluationStrategy)`
    `void` | `setInitialPopulationSelector(IInitialPopulationSelector initialPopulationSelector)`
    `void` | `setInitialPopulationSize(int populationSize)`
    `void` | `setMutationRate(IMutationRate mutationRate)`
    `void` | `setParentSelectionStrategy(IParentSelectionStrategy parentSelectionStrategy)`
    `void` | `setReproductionStrategy(IReproductionStrategy reproductionStrategy)`
    `void` | `setStopCondition(IStopCondition stopCondition)`
    `void` | `setSurvivalStrategy(ISurvivalStrategy survivalStrategy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createBuilder

          public static EvolutionaryStrategyBuilder createBuilder()

    - #### createNsga2Builder

          public static EvolutionaryStrategyBuilder createNsga2Builder(int populationSize)

    - #### createNsga2BuilderFull

          public static EvolutionaryStrategyBuilder createNsga2BuilderFull(int populationSize)

    - #### createNsga2Strategy

          public static EvolutionaryStrategy createNsga2Strategy(int populationSize)

    - #### createPesaBuilder

          public static EvolutionaryStrategyBuilder createPesaBuilder(int populationSize)

    - #### createPesaBuilderFull

          public static EvolutionaryStrategyBuilder createPesaBuilderFull(int populationSize)

    - #### createPesaStrategy

          public static EvolutionaryStrategy createPesaStrategy(int populationSize)

    - #### build

          public EvolutionaryStrategy build()

    - #### setInitialPopulationSize

          public void setInitialPopulationSize(int populationSize)

    - #### setChildPopulationSize

          public void setChildPopulationSize(int childPopulationSize)

    - #### setInitialPopulationSelector

          public void setInitialPopulationSelector(IInitialPopulationSelector initialPopulationSelector)

    - #### setEvaluationStrategy

          public void setEvaluationStrategy(IEvaluationStrategy evaluationStrategy)

    - #### setSurvivalStrategy

          public void setSurvivalStrategy(ISurvivalStrategy survivalStrategy)

    - #### setReproductionStrategy

          public void setReproductionStrategy(IReproductionStrategy reproductionStrategy)

    - #### setParentSelectionStrategy

          public void setParentSelectionStrategy(IParentSelectionStrategy parentSelectionStrategy)

    - #### setStopCondition

          public void setStopCondition(IStopCondition stopCondition)

    - #### setMutationRate

          public void setMutationRate(IMutationRate mutationRate)

    - #### addCrossover

          public void addCrossover(ICrossover crossover)

    - #### addCrossover

          public void addCrossover(ICrossover crossover,
                                   int weight)

    - #### addMutation

          public void addMutation(IMutation mutation)

    - #### addMutation

          public void addMutation(IMutation mutation,
                                  int weight)

    - #### addStrategyAdapter

          public void addStrategyAdapter(IEvolutionaryStrategyAdapter adapter)

    - #### getConfigurationObject

          public EvolutionaryStrategy.EvolutionaryStrategySharedObject getConfigurationObject()